# -*- coding: utf-8 -*-
"""Todo1.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1FLxc8i2_3XpICt23Nhkq34zk4oP1V4Ij
"""

import requests
from bs4 import BeautifulSoup
url = "https://en.wikipedia.org/wiki/Billboard_Year-End_Hot_100_singles_of_1970"
response = requests.get(url)
response.text

d_dictionary = {}

for song in soup.findAll('tr')[1:101]:
  # Priting Songs
  #print(song)

  title = song.findAll('a')[0].string
  # Printing all the Titles
  print(title)

  artist = song.findAll('a')[1].string
  # Printing all the Artists
  print(artist)

  # Printing Dictionary
  d_dictionary[title] = [artist]
print(d_dictionary)

soup = BeautifulSoup(response.text)
for movie in soup.findAll('title')[0]:
  print(movie)
  break

soup = BeautifulSoup(response.text)
for movie in soup.findAll('title')[0]:
  print(movie)
  break

d_dictionary = {}

for song in soup.findAll('tr')[1:101]:
  # Priting Songs
  #print(song)

  title = song.findAll('a')[0].string
  # Printing all the Titles
  print(title)

  artist = song.findAll('a')[1].string
  # Printing all the Artists
  print(artist)

  # Printing Dictionary
  d_dictionary[title] = [artist]
print(d_dictionary)